Catégories
2 min
Macrocategory list
Get the macrocategory list
GET
https://api.fsflt.net/panel/categories/macro/list
Header Parameters
- X-API-KEYstringrequiredDescription
Body Parameters
- langstringDescription
curl
curl --location --request GET 'https://api.fsflt.net/panel/categories/macro/list' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{"lang":"string"}'nodejs
var request = require('request');
var options = {
'method': 'GET',
'url': 'https://api.fsflt.net/panel/categories/macro/list',
'headers': {
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"lang": "string"
})
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
javascript
var myHeaders = new Headers();
myHeaders.append("Accept", "application/json");
myHeaders.append("Content-Type", "application/json");
var raw = JSON.stringify({
"lang": "string"
});
var requestOptions = {
method: 'GET',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.fsflt.net/panel/categories/macro/list", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import requests
import json
url = "https://api.fsflt.net/panel/categories/macro/list"
payload = json.dumps({
"lang": "string"
})
headers = {
'Accept': 'application/json',
'Content-Type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.fsflt.net/panel/categories/macro/list")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Accept"] = "application/json"
request["Content-Type"] = "application/json"
request.body = JSON.dump({
"lang": "string"
})
response = https.request(request)
puts response.read_body
200
{
"code": 200,
"content": [
{
"macro_code": 2,
"macro_name": "News"
"module_code": 1
},
{
"macro_code": 3,
"macro_name": "Work"
"module_code": 2
},
]
}401
{
"message": "Invalid token or Unauthorized admin"
}500
{
"code": 500,
"message": "The given data was invalid.",
"errors": {
"lang": [
"The lang must be one of the following types: EN, IT, ES, DE"
]
}
}Category list
Get the category list
GET
https://api.fsflt.net/panel/categories/list
Header Parameters
- X-API-KEYstringrequiredDescription
Body Parameters
- langstringDescription
linux
curl -X 'GET' \
'https://api.fsflt.net/panel/categories/list' \
-H 'accept: application/json' \
-H "Content-Type: application/json" \
-H "X-API-KEY: YOUR_API_KEY" \
-d '{YOUR_PARAM}'curl
curl --location --request GET 'https://api.fsflt.net/panel/categories/list' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{"lang":"string"}'nodejs
var request = require('request');
var options = {
'method': 'GET',
'url': 'https://api.fsflt.net/panel/categories/list',
'headers': {
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"lang": "string"
})
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
javascript
var myHeaders = new Headers();
myHeaders.append("Accept", "application/json");
myHeaders.append("Content-Type", "application/json");
var raw = JSON.stringify({
"lang": "string"
});
var requestOptions = {
method: 'GET',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.fsflt.net/panel/categories/list", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import requests
import json
url = "https://api.fsflt.net/panel/categories/list"
payload = json.dumps({
"lang": "string"
})
headers = {
'Accept': 'application/json',
'Content-Type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.fsflt.net/panel/categories/list")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Accept"] = "application/json"
request["Content-Type"] = "application/json"
request.body = JSON.dump({
"lang": "string"
})
response = https.request(request)
puts response.read_body
200
{
"code": 200,
"content": [
{
"category_code": "adult",
"category_name": "Adult",
"macro_code": 4
},
{
"category_code": "publicite",
"category_name": "Advertising",
"macro_code": 7
},
]
}401
{
"message": "Invalid token or Unauthorized admin"
}500
{
"code": 500,
"message": "The given data was invalid.",
"errors": {
"lang": [
"The lang must be one of the following types: EN, IT, ES, DE"
]
}
}Get Modules
Get the protection modules (AppBlocker, Contentfilter ecc)
GET
https://api.fsflt.net/panel/categories/modules/
Header Parameters
- X-API-KEYstringrequiredDescription
Body Parameters
- langstringDescription
curl
curl --location --request GET 'https://api.fsflt.net/panel/categories/modules' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{"lang":"string"}'nodejs
var request = require('request');
var options = {
'method': 'GET',
'url': 'https://api.fsflt.net/panel/categories/modules',
'headers': {
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"lang": "string"
})
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
javascript
var myHeaders = new Headers();
myHeaders.append("Accept", "application/json");
myHeaders.append("Content-Type", "application/json");
var raw = JSON.stringify({
"lang": "string"
});
var requestOptions = {
method: 'GET',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.fsflt.net/panel/categories/modules", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import requests
import json
url = "https://api.fsflt.net/panel/categories/modules"
payload = json.dumps({
"lang": "string"
})
headers = {
'Accept': 'application/json',
'Content-Type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.fsflt.net/panel/categories/modules")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Accept"] = "application/json"
request["Content-Type"] = "application/json"
request.body = JSON.dump({
"lang": "string"
})
response = https.request(request)
puts response.read_body
200
{
"code": 200,
"content": [
{
"module_name": "<b>Content</b> Filter",
"module_code": 1
},
{
"module_name": "<b>Threat</b> Protection",
"module_code": 2
},
{
"module_name": "<b>App</b> Blocker",
"module_code": 3
}
]
}401
{
"message": "Invalid token or Unauthorized admin"
}500
{
"code": 500,
"message": "The given data was invalid.",
"errors": {
"lang": [
"The lang must be one of the following types: EN, IT, ES, DE"
]
}
}